#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
	double p, q, r; 
	cin >> p >> q >> r;
	long long l, o,k=0;
	cin >> l >> o;
	for (long long i = l; i <= o; ++i)
		if (ceil((double)i / p) + ceil((double)i / q) + ceil((double)i / r) <= i) k++;
	cout << k;
}